Skip to main content
GET
/
v1
/
buckets
/
{id}
/
conversations
List conversations in a bucket
curl --request GET \
  --url https://api.zelto.ai/v1/buckets/{id}/conversations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "source": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "receiverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "referenceId": "<string>",
      "endedReason": "<string>",
      "cost": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.

Path Parameters

id
string<uuid>
required

Query Parameters

limit
integer
default:50

Items per page. Default 50, max 200.

Required range: 1 <= x <= 200
cursor
string

Opaque pagination cursor. Pass the nextCursor returned by the previous page.

Response

Page of conversations in the bucket.

data
object[]
required
nextCursor
string | null
required